<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		display: flex;
		flex-wrap: wrap;
		align-content: flex-start;
	}
	.card{
		height:50px;
		width: 50px;
		border:1px solid rgba(0,0,0,0.2);
		border-radius: 50%;
	}

	#reset{
		background:red;
		color:white;
		padding:15px 25px;
		position: fixed;
		bottom:0;
		right:0;
		outline:none;
	}
</style>
<body>
</body>
<script type="text/javascript">
	for(let i=0;i<=600;i++){
	document.body.innerHTML+= "<div class='card'></div>"
	}
	document.body.innerHTML+= "<button id='reset' onclick='reset()'>Reset</button>";

	let cards= document.querySelectorAll(".card");

		for(var i=0;i<cards.length;i++){
			let card= cards[i];
			console.log(card);
			card.addEventListener('mouseenter', function (){
				card.style.backgroundColor= "blue";
			});
			card.addEventListener('dblclick', function (){
				card.style.backgroundColor= "white";
			});
		}

		function reset(){
			for(var i=0;i<cards.length;i++){
			let card= cards[i];
			card.style.background="white";
		}
		}
	
</script>
</html>